%define           real_ver 1.4.0

Name:             geda-gschem
Version:          20080127
Release:          2%{?dist}

Summary:          Electronics schematics editor
Group:            Applications/Engineering
License:          GPLv2

URL:              http://www.geda.seul.org/tools/gschem/index.html
Source:           http://geda.seul.org/release/v1.4/%{relver}/%{name}-%{real_ver}.tar.gz

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    libgeda-devel, desktop-file-utils, autoconf, libstroke-devel
BuildRequires:    gettext-devel, gawk, intltool
Requires:         geda-symbols


%description
Gschem is an electronics schematic editor. It is part of the gEDA project.

%prep
%setup -q -n %{name}-%{real_ver}

%build

%configure --with-docdir=%{_docdir}/gEDA/
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}

install -d %{buildroot}%{_docdir}/gEDA/examples
install -d %{buildroot}%{_datadir}/gEDA/scheme
install -p -m 644 examples/*.sch %{buildroot}%{_docdir}/gEDA/examples
install -p -m 644 examples/README.* %{buildroot}%{_docdir}/gEDA/examples
install -p -m 644 scheme/*.scm %{buildroot}%{_datadir}/gEDA/scheme

desktop-file-install --vendor fedora           \
    --add-category Engineering                 \
    --add-category Science                     \
    --dir %{buildroot}%{_datadir}/applications \
    --delete-original                          \
    %{buildroot}%{_datadir}/applications/geda-gschem.desktop

#renaming some locale names
%{__mv} %{buildroot}%{_datadir}/locale/de_DE %{buildroot}%{_datadir}/locale/de
%{__mv} %{buildroot}%{_datadir}/locale/es_ES %{buildroot}%{_datadir}/locale/es
%{__mv} %{buildroot}%{_datadir}/locale/fr_FR %{buildroot}%{_datadir}/locale/fr
%{__mv} %{buildroot}%{_datadir}/locale/it_IT %{buildroot}%{_datadir}/locale/it
%{__mv} %{buildroot}%{_datadir}/locale/ja_JP %{buildroot}%{_datadir}/locale/ja
%{__mv} %{buildroot}%{_datadir}/locale/nl_NL %{buildroot}%{_datadir}/locale/nl

# Remove unpackaged files
%{__rm} -f %{buildroot}%{_infodir}/dir
%{__rm} -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%{__mv} AUTHORS AUTHORS.tmp
iconv -f ISO-8859-1 -t UTF8 AUTHORS.tmp > AUTHORS && \
      %{__rm} -f AUTHORS.tmp || %{__mv} AUTHORS.tmp AUTHORS


%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_docdir}/gEDA/readmes
#%dir %{_docdir}/gEDA/man
#%dir %{_docdir}/gEDA/examples
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/gafrc.d

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA
#%dir %{_datadir}/doc/gEDA/
#%dir %{_datadir}/gEDA/scheme


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING README TODO
%{_bindir}/gschem
%{_bindir}/gschemdoc
%{_datadir}/gEDA/scheme/auto-place-attribs.scm
%{_datadir}/gEDA/scheme/default-attrib-positions.scm
%{_datadir}/gEDA/scheme/image.scm
%{_datadir}/gEDA/scheme/pcb.scm
%{_datadir}/gEDA/scheme/print.scm
%{_datadir}/gEDA/scheme/auto-uref.scm
%{_datadir}/gEDA/scheme/generate_netlist.scm
%{_datadir}/gEDA/scheme/gschem.scm
%{_datadir}/gEDA/scheme/list-keys.scm
%{_datadir}/gEDA/scheme/print-NB-attribs.scm
%{_docdir}/gEDA/examples/IEC417.sch
%{_docdir}/gEDA/examples/README.agile
%{_docdir}/gEDA/examples/adders_1.sch
%{_docdir}/gEDA/examples/cmos-invert.sch
%{_docdir}/gEDA/examples/cmos-nand.sch
%{_docdir}/gEDA/examples/cmos-nor.sch
%{_docdir}/gEDA/examples/filter_1.sch
%{_docdir}/gEDA/examples/flipflop_1.sch
%{_docdir}/gEDA/examples/gEDA_Flow.sch
%{_docdir}/gEDA/examples/grey_counter_1.sch
%{_docdir}/gEDA/examples/logo_1.sch
%{_docdir}/gEDA/examples/multiplex_1.sch
%{_docdir}/gEDA/examples/stack_1.sch
%{_docdir}/gEDA/examples/drawing_primitives.sch
%{_datadir}/gEDA/bitmap/gschem-*
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/gschem-gtkrc
%{_datadir}/gEDA/gschem-darkbg
%{_datadir}/gEDA/gschem-lightbg
%{_datadir}/applications/fedora-geda-gschem.desktop
%{_mandir}/man1/gschem.*
%{_datadir}/icons/hicolor/*/apps/geda-gschem.*

%Changelog
* Sun Feb 03 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080127-2
- fix desktop file
- added gettext-devel and intltool as BR

* Tue Feb 01 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080127-1
- New upstream release

* Mon Sep 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070902-1
- New upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-2
- mass rebuild for fedora 8 - ppc32

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-1
- New upstream release

* Tue Jun 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070626-1
- new upstream release

* Thu Jun 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070526-1
- new upstream release

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-3
- rebuild for fc6 and devel

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-2
- new upstream release on 2007 02 16 support for FC-5

* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Sun Feb 04 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-3
- Fixed presence on Gnome menu

* Mon Jan 08 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-2
- rebuilt under compat-guile-16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New Upstream Release

* Fri Sep 15 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-3
- patch for russian translation by Andy Shevchenko #206280

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Sun Sep 03 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-6
- Added Timestamps in installs

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-5
- Encoded AUTHORS into UTF8 from ISO-8859-1
- Added a %%{SOURCE2} for the gnome/kde menus

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed %%dir ownership and encoded AUTHORS into UTF8

* Tue Aug 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- recompiled with libgdgeda 2.0.9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0
- recent patches no more needed

* Thu Sep 5 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030825-2
- added a patch to gschem.c (for those who don't use noweb)

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030825-1
- updated to version 20020825
- two patches correcting errors found in release

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209
- info files added

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- man directory changed, some corrections, previous patch no more needed

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- bulild directory changed, patched for improper rc file location
- examples directory added
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20001006

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- rebuilt with '*' on man page - Mandrake compresses it with bzip2 by default
and redhat with gzip (apparently)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added 'TODO' files in docs
- updated to version 20000704

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- removed obsolete 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added little patch
- updated to 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added 'libgdgeda' as 'Requires' tag
- rebuilt with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
